@import url('https://fonts.googleapis.com/css2?family=Poppins:ital@0;1&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body, html {
    background-color: #f0f0f0;
}

.container {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

nav {
    background: black;
    padding: 10px 0;
}

nav ul {
    display: flex;
    flex-wrap: wrap;
}

nav ul li {
    list-style: none;
}

nav ul li a {
    font-size: 1.4em;
    text-decoration: none;
    padding-left: 1.4em;
    color: white;
    opacity: 0.6;
}

nav ul li a:hover {
    color: white;
    opacity: 1;
}

.active {
    color: white;
    opacity: 1;
}

section {
    background-color: white;
    margin: 1em 1.6em;
    border: 1px solid gray;
    padding: 1.3em;
    min-height: 50vh;
    min-width: 50vw;
}

.err404 {
    display: grid;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.err404 h1 {
    display: flex;
    justify-self: center;
    align-self: center;
    font-size: 100px;
}

.err404 h2 {
    display: flex;
    font-size: 40px;
    justify-content: center;
    align-items: center;
}


.form {
    display: flex;
    padding-left: 1.4em;
    flex-direction: column;
    /*overflow: hidden;*/
}

.form .alert {
    border: 2px solid red;
    padding: 1.1em;
    width: 50%;
    background-color: bisque;
}

.form .form-group {
    width: 30vw;
    display: flex;
    flex-direction: column;
    margin: 1.2em 0;
}

.form input[type=radio] {
    margin-left: 1.3em;
}


.form input,select{
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.form input[type=submit]:hover {
    background-color: #45a049;
}

.form button {
    width: 100%;
    background-color: #4CAF50;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.form .custom-file-input::-webkit-file-upload-button {
    visibility: hidden;
}

.form .custom-file-input::before {
    content: 'Select file';
    display: inline-block;
    background-color:white;
    border: 1px solid #999;
    border-radius: 3px;
    padding: 5px 8px;
    outline: none;
    white-space: nowrap;
    -webkit-user-select: none;
    cursor: pointer;
    text-shadow: 1px 1px #fff;
    font-weight: 700;
    font-size: 10pt;
}

.form .custom-file-input:hover::before {
    border-color: black;
}

.form .custom-file-input:active::before {
    background: -webkit-linear-gradient(top, #e3e3e3, #f9f9f9);
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
    .form{
        padding: 0;
    }
    .form .form-group{
        width: 100%;
    }
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
    .form{
        padding: 0;
    }
    .form .form-group{
        width: 100%;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
    .form .form-group{
        padding-left: 1.3em;
        width: 50%;
    }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {

}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {

}